org.apache.sling.discovery.impl.cluster

## Class ClusterViewChangeListener

- java.lang.Object
- - org.apache.sling.discovery.impl.cluster.ClusterViewChangeListener

All Implemented Interfaces:
  org.osgi.service.event.EventHandler

    public class ClusterViewChangeListener
    extends Object
    implements org.osgi.service.event.EventHandler

osgi event handler which takes note when the established view changes in the repository - or when an announcement changed in one of the instances

### Constructor Summary

Constructors
Constructor and Description
`ClusterViewChangeListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `activate(org.osgi.service.component.ComponentContext context)`
`protected void` `deactivate()`
`void` `handleEvent(org.osgi.service.event.Event event)` Handle osgi events from the repository and take note when the established view, properties or announcements change - and inform the DiscoveryServiceImpl in those cases.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterViewChangeListener

    public ClusterViewChangeListener()

### Method Detail

#### activate

    @Activate
    protected void activate(org.osgi.service.component.ComponentContext context)

#### deactivate

    @Deactivate
    protected void deactivate()

#### handleEvent

    public void handleEvent(org.osgi.service.event.Event event)

Handle osgi events from the repository and take note when the established view, properties or announcements change - and inform the DiscoveryServiceImpl in those cases.

Specified by:
  `handleEvent` in interface `org.osgi.service.event.EventHandler`